#  Live Markdown #

- list
paragraph.
1. second level list
paragraph.

- Code block
    if (true) {
      printf("hello world");
    }

- blockquote

> quoted pragraph
paragraph.

- Link [Link to Google](http://www.google.com)
Reference [Link to Apple][1]

[1]:http://www.apple.com

- image sample
![image](https://www.goldbugsoft.com/site/img/secondnotesscript.png)

- Inline html
<table>
  <tr><th>City</th><th>ZIP</th></tr>
  <tr><td>Cupertino</td><td>95014</td></tr>
  <tr><td>San Jose</td><td>95129</td></tr>
  <tr><td>Santa Clara</td><td>95050</td></tr>
</table>

```
   <p>This is code block sample.</p>
```

## coordinateSaveURL:completionHandler:
*Initiates a save operation on a single file or directory using the NSFileCoordinator.*
    - (void)coordinateSaveURL:(NSURL *)url 
            completionHandler:(void (^)(BOOL *success, NSError *error))handler

### Parameters
- url
A URL identifying the file or directory to write. 
- handler
A Block object containing the file operations you want to perform in a coordinated manner. This block receives an success flag and error. If the operation completes without error, the success is YES. If not, there value will be NO and the reason will be set at the error parameter.
### Discussion
You use this method to perform write-related operations on a file or directory in a coordinated manner. This method calls NSFileCoordinator#coordinateWritingItemAtURL:option:error:byAccessor: in a background thread. ...

